import { Container } from '@/components/Container'
import { Footer } from '@/components/Footer'
import { Header } from '@/components/Header'
import { Anchor, BoldText, Text } from '@/components/Typography'

export default function Impressum() {
  return (
    <>
      <Header />

      <Container className="pb-12">
        <h1 className="text-xl font-bold text-gray-900 sm:text-3xl">
          IMPRESSUM
        </h1>

        <BoldText>Angaben gemäß § 5 TMG</BoldText>
        <Text>Jan Umbach</Text>
        <Text>Tannenwäldchen 20</Text>
        <Text>34212 Melsungen</Text>

        <BoldText>Kontakt</BoldText>
        <Text>
          Telefon: <Anchor href="tel:+49 160 95040430">+49 160 95040430</Anchor>
        </Text>
        <Text>
          E-Mail:{' '}
          <Anchor href="mailto:navilearn@jannex.de">navilearn@jannex.de</Anchor>
        </Text>

        <BoldText>Umsatzsteuer-ID</BoldText>
        <Text>USt. wird nicht ausgewiesen (Kleinunternehmerregelung)</Text>

        <BoldText>EU-Streitschlichtung</BoldText>
        <Text>
          Die Europäische Kommission stellt eine Plattform zur
          Online-Streitbeilegung (OS) bereit:
        </Text>
        <Anchor href="https://ec.europa.eu/consumers/odr/">
          https://ec.europa.eu/consumers/odr/
        </Anchor>
        {'.'}
        <Text>Unsere E-Mail-Adresse finden Sie oben im Impressum.</Text>

        <BoldText>
          Verbraucher­streit­beilegung/Universal­schlichtungs­stelle
        </BoldText>
        <Text>
          Wir sind nicht bereit oder verpflichtet, an Streitbeilegungsverfahren
          vor einer Verbraucherschlichtungsstelle teilzunehmen.
        </Text>

        <Text className="mt-4">
          Quelle: <Anchor href="https://www.e-recht24.de">eRecht24</Anchor>
        </Text>
      </Container>

      <Footer />
    </>
  )
}
